%define major     1
%define libname   %mklibname %{name} %{major}
%define libnamepp %mklibname %{name}pp %{major}
%define develname %mklibname %{name} -d

%define _disable_ld_no_undefined 1

Name:           mosquitto
Version:        2.0.18
Release:        %mkrel 2
Summary:        An Open Source MQTT v3.1/v3.1.1 Broker
Group:          System/Libraries
License:        EPL-2.0
URL:            https://mosquitto.org/
Source0:        https://mosquitto.org/files/source/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  tcp_wrappers-devel
BuildRequires:  uthash-devel >= 2.1.0
BuildRequires:  pkgconfig(libcjson)
BuildRequires:  pkgconfig(libcares)
BuildRequires:  pkgconfig(libwebsockets)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(uuid)

Requires(pre):  shadow-utils

%description
Mosquitto is an open source message broker that implements the MQ Telemetry
Transport protocol version 3.1 and 3.1.1 MQTT provides a lightweight method
of carrying out messaging using a publish/subscribe model. This makes it
suitable for "machine to machine" messaging such as with low power sensors
or mobile devices such as phones, embedded computers or micro-controllers
like the Arduino.

#------------------------------------------------

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/Libraries
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%setup -q

# Set the install prefix to /usr
sed -i "s|prefix?=/usr/local|prefix?=/usr|" config.mk
# Don't strip binaries on install: rpmbuild will take care of it
sed -i "s|(INSTALL) -s|(INSTALL)|g" lib/Makefile src/Makefile client/Makefile

%build
%cmake -DWITH_BUNDLED_DEPS=OFF -DWITH_SYSTEMD=OFF -DWITH_WEBSOCKETS=ON -DWITH_SRV=ON
%cmake_build

%install
%cmake_install

%pre
getent group %{name} >/dev/null || groupadd -r %{name}
getent passwd %{name} >/dev/null || \
    useradd -r -g %{name} -d %{_sysconfdir}/%{name} -s /sbin/nologin \
    -c "Mosquitto Broker" %{name}
exit 0


%files
%{_bindir}/*
%{_sbindir}/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config %{_sysconfdir}/%{name}/*.example
%{_mandir}/man1/*.1.*
%{_mandir}/man5/*.5.*
%{_mandir}/man7/*.7.*
%{_mandir}/man8/*.8.*
%{_libdir}/lib%{name}.so.%{major}*
%{_libdir}/lib%{name}.so.%{version}
%{_libdir}/lib%{name}pp.so.%{major}*
%{_libdir}/lib%{name}pp.so.%{version}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.3.*


%changelog
* Tue Dec 12 2023 tex - 2.0.18-2pclos2023
- rebuild against updates

* Sun Sep 24 2023 tex - 2.0.18-1pclos2023
- new version

* Sun Oct 09 2022 tex - 2.0.15-2pclos2022
- rebuild against updates

* Sat Aug 27 2022 tex -  2.0.15-1pclos2022
- new 2.0.15
